Bug 835048 - automatic invoking of on-screen keyboard when hitting writable widgets
automatic invoking of on-screen keyboard when hitting writable widgets
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gtk3 (Show other bugs)
7.0
x86_64 Linux
medium Severity low
: beta
: 7.0
Assigned To: Rui Matos
Desktop QE
:
Depends On:
Blocks: 875053
  Show dependency treegraph
 
Reported: 2012-06-25 06:49 EDT by Vladimir Benes
Modified: 2014-06-13 08:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: caribou-0.4.4.2-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 875053 (view as bug list)
Environment:
Last Closed: 2014-06-13 08:32:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-06-25 06:49:01 EDT
Description of problem:
when I use on-screen keyboard with gnome shell I get it invoked automatically when search tray is clicked. I think all applications with writable widgets (gedit, g-terminal, and others) should do it as well. 
Don't know if gtk3 is the right component for it but it seems to me like gtk is component spreading signals to a11y, correct me if I am wrong please.

Version-Release number of selected component (if applicable):
gtk3-3.4.3-2.el7

How reproducible:
100%

Steps to Reproduce:
1.activate on-screen keyboard in control-center
2.hide it
3.open gedit
  
Actual results:
I would like to write via on-screen keyboard into gedit

Expected results:
have to go into tray and invoke it manually

Additional info:
Comment 1 Matthias Clasen 2012-10-29 09:56:19 EDT
This should be addressed by comps changes to pull in caribou-gtk[23]-module.
Can you please retest with those 2 packages installed ?
Comment 2 Vladimir Benes 2012-12-18 05:30:18 EST
working well, dependencies added to caribou. Invoking works as expected
-> VERIFIED
Comment 3 Ludek Smid 2014-06-13 08:32:07 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.